diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mobility/helper/ns2-mobility-helper.cc ns-3.44/src/mobility/helper/ns2-mobility-helper.cc
--- ns-3.43/src/mobility/helper/ns2-mobility-helper.cc	2024-10-09 16:41:10.056656600 -0700
+++ ns-3.44/src/mobility/helper/ns2-mobility-helper.cc	2025-03-09 16:55:49.655372100 -0700
@@ -82,111 +82,114 @@
     EventId m_stopEvent;    //!< Event scheduling node's stop. May be canceled if needed.
     double m_travelStartTime;   //!< Travel start time is needed to calculate actually traveled time
     double m_targetArrivalTime; //!< When a station arrives to a destination
+
     DestinationPoint()
         : m_startPosition(Vector(0, 0, 0)),
           m_speed(Vector(0, 0, 0)),
           m_finalPosition(Vector(0, 0, 0)),
           m_travelStartTime(0),
-          m_targetArrivalTime(0){};
+          m_targetArrivalTime(0)
+    {
+    }
 };
 
 /**
  * Parses a line of ns2 mobility
- * \param str the string to parse
- * \returns The parsed line
+ * @param str the string to parse
+ * @returns The parsed line
  */
 static ParseResult ParseNs2Line(const std::string& str);
 
 /**
  * Put out blank spaces at the start and end of a line
- * \param str input line
- * \returns the line trimmed
+ * @param str input line
+ * @returns the line trimmed
  */
 static std::string TrimNs2Line(const std::string& str);
 
 /**
  * Checks if a string represents a number or it has others characters than digits and point.
- * \param s the string to check
- * \returns true if the string represents a number
+ * @param s the string to check
+ * @returns true if the string represents a number
  */
 static bool IsNumber(const std::string& s);
 
 /**
  * Check if s string represents a numeric value
- * \param str string to check
- * \param ret numeric value to return
- * \return true if string represents a numeric value
+ * @param str string to check
+ * @param ret numeric value to return
+ * @return true if string represents a numeric value
  */
 template <class T>
 static bool IsVal(const std::string& str, T& ret);
 
 /**
  * Checks if the value between brackets is a correct nodeId number
- * \param str string to check
- * \returns true if the string represents a nodeId number
+ * @param str string to check
+ * @returns true if the string represents a nodeId number
  */
 static bool HasNodeIdNumber(std::string str);
 
 /**
  * Gets nodeId number in string format from the string like $node_(4)
- * \param str string to de-tokenize
- * \returns A string with the nodeId number
+ * @param str string to de-tokenize
+ * @returns A string with the nodeId number
  */
 static std::string GetNodeIdFromToken(std::string str);
 
 /**
  * Get node id number in int format
- * \param pr the ParseResult to analyze
- * \returns the node ID (as an int)
+ * @param pr the ParseResult to analyze
+ * @returns the node ID (as an int)
  */
 static int GetNodeIdInt(ParseResult pr);
 
 /**
  * Get node id number in string format
- * \param pr the ParseResult to analyze
- * \returns the node ID (as a string)
+ * @param pr the ParseResult to analyze
+ * @returns the node ID (as a string)
  */
 static std::string GetNodeIdString(ParseResult pr);
 
 /**
  * Add one coord to a vector position
- * \param actPos actual position (overwritten)
- * \param coord coordinate (x, y, or z)
- * \param value value of the coordinate
- * \return The vector of the position
+ * @param actPos actual position (overwritten)
+ * @param coord coordinate (x, y, or z)
+ * @param value value of the coordinate
+ * @return The vector of the position
  */
 static Vector SetOneInitialCoord(Vector actPos, std::string& coord, double value);
 
 /**
  * Check if this corresponds to a line like this: $node_(0) set X_ 123
- * \param pr the ParseResult to analyze
- * \returns true if the ParseResult looks like a coordinate without a scheduled time
+ * @param pr the ParseResult to analyze
+ * @returns true if the ParseResult looks like a coordinate without a scheduled time
  */
 static bool IsSetInitialPos(ParseResult pr);
 
 /**
  * Check if this corresponds to a line like this: $ns_ at 1 "$node_(0) setdest 2 3 4"
- * \param pr the ParseResult to analyze
- * \returns true if the ParseResult looks like a coordinate with a scheduled time and destination
+ * @param pr the ParseResult to analyze
+ * @returns true if the ParseResult looks like a coordinate with a scheduled time and destination
  */
 static bool IsSchedSetPos(ParseResult pr);
 
 /**
  * Check if this corresponds to a line like this: $ns_ at 1 "$node_(0) set X_ 2"
- * \param pr the ParseResult to analyze
- * \returns true if the ParseResult looks like a coordinate with a scheduled time
+ * @param pr the ParseResult to analyze
+ * @returns true if the ParseResult looks like a coordinate with a scheduled time
  */
 static bool IsSchedMobilityPos(ParseResult pr);
 
 /**
  * Set waypoints and speed for movement.
- * \param model mobility model
- * \param lastPos last position
- * \param at initial movement time
- * \param xFinalPosition final position (X axis)
- * \param yFinalPosition final position (Y axis)
- * \param speed movement speed
- * \returns A descriptor of the movement
+ * @param model mobility model
+ * @param lastPos last position
+ * @param at initial movement time
+ * @param xFinalPosition final position (X axis)
+ * @param yFinalPosition final position (Y axis)
+ * @param speed movement speed
+ * @returns A descriptor of the movement
  */
 static DestinationPoint SetMovement(Ptr<ConstantVelocityMobilityModel> model,
                                     Vector lastPos,
@@ -197,10 +200,10 @@
 
 /**
  * Set initial position for a node
- * \param model mobility model
- * \param coord coordinate (x, y, or z)
- * \param coordVal value of the coordinate
- * \return The vector of the position
+ * @param model mobility model
+ * @param coord coordinate (x, y, or z)
+ * @param coordVal value of the coordinate
+ * @return The vector of the position
  */
 static Vector SetInitialPosition(Ptr<ConstantVelocityMobilityModel> model,
                                  std::string coord,
@@ -208,11 +211,11 @@
 
 /**
  * Schedule a set of position for a node
- * \param model mobility model
- * \param at initial movement time
- * \param coord coordinate (x, y, or z)
- * \param coordVal value of the coordinate
- * \return The vector of the position at the given time
+ * @param model mobility model
+ * @param at initial movement time
+ * @param coord coordinate (x, y, or z)
+ * @param coordVal value of the coordinate
+ * @return The vector of the position at the given time
  */
 static Vector SetSchedPosition(Ptr<ConstantVelocityMobilityModel> model,
                                double at,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mobility/helper/ns2-mobility-helper.h ns-3.44/src/mobility/helper/ns2-mobility-helper.h
--- ns-3.43/src/mobility/helper/ns2-mobility-helper.h	2024-10-09 16:41:10.056656600 -0700
+++ ns-3.44/src/mobility/helper/ns2-mobility-helper.h	2025-03-09 16:55:49.655372100 -0700
@@ -23,8 +23,8 @@
 class ConstantVelocityMobilityModel;
 
 /**
- * \ingroup mobility
- * \brief Helper class which can read ns-2 movement files and configure nodes mobility.
+ * @ingroup mobility
+ * @brief Helper class which can read ns-2 movement files and configure nodes mobility.
  *
  * This implementation is based on the ns2 movement documentation of ns2
  * as described in http://www.isi.edu/nsnam/ns/doc/node172.html
@@ -59,7 +59,7 @@
  *
  *  See usage example in examples/mobility/ns2-mobility-trace.cc
  *
- * \bug Rounding errors may cause movement to diverge from the mobility
+ * @bug Rounding errors may cause movement to diverge from the mobility
  * pattern in ns-2 (using the same trace).
  * See https://www.nsnam.org/bugzilla/show_bug.cgi?id=1316
  */
@@ -67,7 +67,7 @@
 {
   public:
     /**
-     * \param filename filename of file which contains the
+     * @param filename filename of file which contains the
      *        ns2 movement trace.
      */
     Ns2MobilityHelper(std::string filename);
@@ -81,9 +81,9 @@
     void Install() const;
 
     /**
-     * \param begin an iterator which points to the start of the input
+     * @param begin an iterator which points to the start of the input
      *        object array.
-     * \param end an iterator which points to the end of the input
+     * @param end an iterator which points to the end of the input
      *        object array.
      *
      * Read the ns2 trace file and configure the movement
@@ -96,7 +96,7 @@
 
   private:
     /**
-     * \brief a class to hold input objects internally
+     * @brief a class to hold input objects internally
      */
     class ObjectStore
     {
@@ -107,22 +107,22 @@
 
         /**
          * Return ith object in store
-         * \param i index
-         * \return pointer to object
+         * @param i index
+         * @return pointer to object
          */
         virtual Ptr<Object> Get(uint32_t i) const = 0;
     };
 
     /**
      * Parses ns-2 mobility file to create ns-3 mobility events
-     * \param store Object store containing ns-3 mobility models
+     * @param store Object store containing ns-3 mobility models
      */
     void ConfigNodesMovements(const ObjectStore& store) const;
     /**
      * Get or create a ConstantVelocityMobilityModel corresponding to idString
-     * \param idString string name for a node
-     * \param store Object store containing ns-3 mobility models
-     * \return pointer to a ConstantVelocityMobilityModel
+     * @param idString string name for a node
+     * @param store Object store containing ns-3 mobility models
+     * @return pointer to a ConstantVelocityMobilityModel
      */
     Ptr<ConstantVelocityMobilityModel> GetMobilityModel(std::string idString,
                                                         const ObjectStore& store) const;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mobility/model/box.cc ns-3.44/src/mobility/model/box.cc
--- ns-3.43/src/mobility/model/box.cc	2024-10-09 16:41:10.056656600 -0700
+++ ns-3.44/src/mobility/model/box.cc	2025-03-09 16:55:49.655372100 -0700
@@ -191,11 +191,11 @@
 ATTRIBUTE_HELPER_CPP(Box);
 
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \param os the stream
- * \param box the box
- * \returns a reference to the stream
+ * @param os the stream
+ * @param box the box
+ * @returns a reference to the stream
  */
 std::ostream&
 operator<<(std::ostream& os, const Box& box)
@@ -206,11 +206,11 @@
 }
 
 /**
- * \brief Stream extraction operator.
+ * @brief Stream extraction operator.
  *
- * \param is the stream
- * \param box the box
- * \returns a reference to the stream
+ * @param is the stream
+ * @param box the box
+ * @returns a reference to the stream
  */
 std::istream&
 operator>>(std::istream& is, Box& box)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mobility/model/box.h ns-3.44/src/mobility/model/box.h
--- ns-3.43/src/mobility/model/box.h	2024-10-09 16:41:10.056656600 -0700
+++ ns-3.44/src/mobility/model/box.h	2025-03-09 16:55:49.655372100 -0700
@@ -16,9 +16,9 @@
 {
 
 /**
- * \ingroup mobility
- * \brief a 3d box
- * \see attribute_Box
+ * @ingroup mobility
+ * @brief a 3d box
+ * @see attribute_Box
  */
 class Box
 {
@@ -37,12 +37,12 @@
     };
 
     /**
-     * \param _xMin x coordinates of left boundary.
-     * \param _xMax x coordinates of right boundary.
-     * \param _yMin y coordinates of bottom boundary.
-     * \param _yMax y coordinates of top boundary.
-     * \param _zMin z coordinates of down boundary.
-     * \param _zMax z coordinates of up boundary.
+     * @param _xMin x coordinates of left boundary.
+     * @param _xMax x coordinates of right boundary.
+     * @param _yMin y coordinates of bottom boundary.
+     * @param _yMax y coordinates of top boundary.
+     * @param _zMin z coordinates of down boundary.
+     * @param _zMax z coordinates of up boundary.
      *
      * Create a box.
      */
@@ -52,24 +52,24 @@
      */
     Box();
     /**
-     * \param position the position to test.
-     * \returns true if the input position is located within the box,
+     * @param position the position to test.
+     * @returns true if the input position is located within the box,
      *          false otherwise.
      *
      * This method compares the x, y, and z coordinates of the input position.
      */
     bool IsInside(const Vector& position) const;
     /**
-     * \param position the position to test.
-     * \returns the side of the cube the input position is closest to.
+     * @param position the position to test.
+     * @returns the side of the cube the input position is closest to.
      *
      * This method compares the x, y, and z coordinates of the input position.
      */
     Side GetClosestSide(const Vector& position) const;
     /**
-     * \param current the current position
-     * \param speed the current speed
-     * \returns the intersection point between the rectangle and the current+speed vector.
+     * @param current the current position
+     * @param speed the current speed
+     * @returns the intersection point between the rectangle and the current+speed vector.
      *
      * This method assumes that the current position is located _inside_
      * the cube and checks for this with an assert.
@@ -78,7 +78,7 @@
      */
     Vector CalculateIntersection(const Vector& current, const Vector& speed) const;
     /**
-     * \brief Checks if a line-segment between position l1 and position l2
+     * @brief Checks if a line-segment between position l1 and position l2
      *        intersects a box.
      *
      * This method considers all the three coordinates, i.e., x, y, and z.
@@ -89,9 +89,9 @@
      * Frequency Spectrum above 6 GHz". In Proceedings of the Workshop on ns-3
      * (WNS3 '17). 2017.
      *
-     * \param l1 position
-     * \param l2 position
-     * \return true if there is a intersection, false otherwise
+     * @param l1 position
+     * @param l2 position
+     * @return true if there is a intersection, false otherwise
      */
     bool IsIntersect(const Vector& l1, const Vector& l2) const;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mobility/model/constant-acceleration-mobility-model.h ns-3.44/src/mobility/model/constant-acceleration-mobility-model.h
--- ns-3.43/src/mobility/model/constant-acceleration-mobility-model.h	2024-10-09 16:41:10.056656600 -0700
+++ ns-3.44/src/mobility/model/constant-acceleration-mobility-model.h	2025-03-09 16:55:49.655372100 -0700
@@ -14,9 +14,9 @@
 {
 
 /**
- * \ingroup mobility
+ * @ingroup mobility
  *
- * \brief Mobility model for which the current acceleration does not change once it has been set and
+ * @brief Mobility model for which the current acceleration does not change once it has been set and
  * until it is set again explicitly to a new value.
  */
 class ConstantAccelerationMobilityModel : public MobilityModel
@@ -24,7 +24,7 @@
   public:
     /**
      * Register this type with the TypeId system.
-     * \return the object TypeId
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     /**
@@ -35,8 +35,8 @@
     ~ConstantAccelerationMobilityModel() override;
     /**
      * Set the model's velocity and acceleration
-     * \param velocity the velocity (m/s)
-     * \param acceleration the acceleration (m/s^2)
+     * @param velocity the velocity (m/s)
+     * @param acceleration the acceleration (m/s^2)
      */
     void SetVelocityAndAcceleration(const Vector& velocity, const Vector& acceleration);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mobility/model/constant-position-mobility-model.h ns-3.44/src/mobility/model/constant-position-mobility-model.h
--- ns-3.43/src/mobility/model/constant-position-mobility-model.h	2024-10-09 16:41:10.056656600 -0700
+++ ns-3.44/src/mobility/model/constant-position-mobility-model.h	2025-03-09 16:55:49.655372100 -0700
@@ -14,9 +14,9 @@
 {
 
 /**
- * \ingroup mobility
+ * @ingroup mobility
  *
- * \brief Mobility model for which the current position does not change once it has been set and
+ * @brief Mobility model for which the current position does not change once it has been set and
  * until it is set again explicitly to a new value.
  */
 class ConstantPositionMobilityModel : public MobilityModel
@@ -24,7 +24,7 @@
   public:
     /**
      * Register this type with the TypeId system.
-     * \return the object TypeId
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mobility/model/constant-velocity-helper.h ns-3.44/src/mobility/model/constant-velocity-helper.h
--- ns-3.43/src/mobility/model/constant-velocity-helper.h	2024-10-09 16:41:10.056656600 -0700
+++ ns-3.44/src/mobility/model/constant-velocity-helper.h	2025-03-09 16:55:49.655372100 -0700
@@ -19,9 +19,9 @@
 class Rectangle;
 
 /**
- * \ingroup mobility
+ * @ingroup mobility
  *
- * \brief Utility class used to move node with constant velocity.
+ * @brief Utility class used to move node with constant velocity.
  */
 class ConstantVelocityHelper
 {
@@ -29,34 +29,34 @@
     ConstantVelocityHelper();
     /**
      * Create object and set position
-     * \param position the position vector
+     * @param position the position vector
      */
     ConstantVelocityHelper(const Vector& position);
     /**
      * Create object and set position and velocity
-     * \param position the position vector
-     * \param vel the velocity vector
+     * @param position the position vector
+     * @param vel the velocity vector
      */
     ConstantVelocityHelper(const Vector& position, const Vector& vel);
 
     /**
      * Set position vector
-     * \param position Position vector
+     * @param position Position vector
      */
     void SetPosition(const Vector& position);
     /**
      * Get current position vector
-     * \return Position vector
+     * @return Position vector
      */
     Vector GetCurrentPosition() const;
     /**
      * Get velocity; if paused, will return a zero vector
-     * \return Velocity vector
+     * @return Velocity vector
      */
     Vector GetVelocity() const;
     /**
      * Set new velocity vector
-     * \param vel Velocity vector
+     * @param vel Velocity vector
      */
     void SetVelocity(const Vector& vel);
     /**
@@ -70,13 +70,13 @@
 
     /**
      * Update position, if not paused, from last position and time of last update
-     * \param rectangle 2D bounding rectangle for resulting position; object will not move outside
+     * @param rectangle 2D bounding rectangle for resulting position; object will not move outside
      * the rectangle
      */
     void UpdateWithBounds(const Rectangle& rectangle) const;
     /**
      * Update position, if not paused, from last position and time of last update
-     * \param bounds 3D bounding box for resulting position; object will not move outside the box
+     * @param bounds 3D bounding box for resulting position; object will not move outside the box
      */
     void UpdateWithBounds(const Box& bounds) const;
     /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mobility/model/constant-velocity-mobility-model.h ns-3.44/src/mobility/model/constant-velocity-mobility-model.h
--- ns-3.43/src/mobility/model/constant-velocity-mobility-model.h	2024-10-09 16:41:10.056656600 -0700
+++ ns-3.44/src/mobility/model/constant-velocity-mobility-model.h	2025-03-09 16:55:49.655372100 -0700
@@ -19,9 +19,9 @@
 {
 
 /**
- * \ingroup mobility
+ * @ingroup mobility
  *
- * \brief Mobility model for which the current speed does not change once it has been set and until
+ * @brief Mobility model for which the current speed does not change once it has been set and until
  * it is set again explicitly to a new value.
  */
 class ConstantVelocityMobilityModel : public MobilityModel
@@ -29,7 +29,7 @@
   public:
     /**
      * Register this type with the TypeId system.
-     * \return the object TypeId
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     /**
@@ -40,7 +40,7 @@
     ~ConstantVelocityMobilityModel() override;
 
     /**
-     * \param speed the new speed to set.
+     * @param speed the new speed to set.
      *
      * Set the current speed now to (dx,dy,dz)
      * Unit is meters/s
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mobility/model/gauss-markov-mobility-model.cc ns-3.44/src/mobility/model/gauss-markov-mobility-model.cc
--- ns-3.43/src/mobility/model/gauss-markov-mobility-model.cc	2024-10-09 16:41:10.056656600 -0700
+++ ns-3.44/src/mobility/model/gauss-markov-mobility-model.cc	2025-03-09 16:55:49.655372100 -0700
@@ -36,7 +36,7 @@
                           MakeBoxChecker())
             .AddAttribute("TimeStep",
                           "Change current direction and speed after moving for this time.",
-                          TimeValue(Seconds(1.0)),
+                          TimeValue(Seconds(1)),
                           MakeTimeAccessor(&GaussMarkovMobilityModel::m_timeStep),
                           MakeTimeChecker())
             .AddAttribute(
@@ -161,7 +161,7 @@
     nextPosition.z += speed.z * delayLeft.GetSeconds();
     if (delayLeft.GetSeconds() < 0.0)
     {
-        delayLeft = Seconds(1.0);
+        delayLeft = Seconds(1);
     }
 
     // Make sure that the position by the next time step is still within the boundary.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mobility/model/gauss-markov-mobility-model.h ns-3.44/src/mobility/model/gauss-markov-mobility-model.h
--- ns-3.43/src/mobility/model/gauss-markov-mobility-model.h	2024-10-09 16:41:10.056656600 -0700
+++ ns-3.44/src/mobility/model/gauss-markov-mobility-model.h	2025-03-09 16:55:49.655372100 -0700
@@ -25,8 +25,8 @@
 {
 
 /**
- * \ingroup mobility
- * \brief Gauss-Markov mobility model
+ * @ingroup mobility
+ * @brief Gauss-Markov mobility model
  *
  * This is a 3D version of the Gauss-Markov mobility model described in [1].
  * Unlike the other mobility models in ns-3, which are memoryless, the Gauss
@@ -42,7 +42,7 @@
  * version of the "rectangle" field that is used in 2-dimensional ns-3 mobility models.
  *
  * Here is an example of how to implement the model and set the initial node positions:
- * \code
+ * @code
     MobilityHelper mobility;
 
     mobility.SetMobilityModel ("ns3::GaussMarkovMobilityModel",
@@ -62,7 +62,7 @@
       "Z", StringValue ("ns3::UniformRandomVariable[Min=0|Max=10000]"));
 
     mobility.Install (wifiStaNodes);
- * \endcode
+ * @endcode
  * [1] Tracy Camp, Jeff Boleng, Vanessa Davies, "A Survey of Mobility Models
  * for Ad Hoc Network Research", Wireless Communications and Mobile Computing,
  * Wiley, vol.2 iss.5, September 2002, pp.483-502
@@ -72,7 +72,7 @@
   public:
     /**
      * Register this type with the TypeId system.
-     * \return the object TypeId
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     GaussMarkovMobilityModel();
@@ -85,7 +85,7 @@
     void Start();
     /**
      * Perform a walk operation
-     * \param timeLeft time until Start method is called again
+     * @param timeLeft time until Start method is called again
      */
     void DoWalk(Time timeLeft);
     void DoDispose() override;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mobility/model/geocentric-constant-position-mobility-model.cc ns-3.44/src/mobility/model/geocentric-constant-position-mobility-model.cc
--- ns-3.43/src/mobility/model/geocentric-constant-position-mobility-model.cc	2024-10-09 16:41:10.056656600 -0700
+++ ns-3.44/src/mobility/model/geocentric-constant-position-mobility-model.cc	2025-03-09 16:55:49.655372100 -0700
@@ -7,13 +7,13 @@
  */
 #include "geocentric-constant-position-mobility-model.h"
 
-#include <ns3/angles.h>
+#include "ns3/angles.h"
 
 #include <math.h>
 
 /**
- *  \file
- *  \ingroup mobility
+ *  @file
+ *  @ingroup mobility
  *  Class GeocentricConstantPositionMobilityModel implementation.
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mobility/model/geocentric-constant-position-mobility-model.h ns-3.44/src/mobility/model/geocentric-constant-position-mobility-model.h
--- ns-3.43/src/mobility/model/geocentric-constant-position-mobility-model.h	2024-10-09 16:41:10.056656600 -0700
+++ ns-3.44/src/mobility/model/geocentric-constant-position-mobility-model.h	2025-03-09 16:55:49.655372100 -0700
@@ -12,8 +12,8 @@
 #include "mobility-model.h"
 
 /**
- * \file
- * \ingroup mobility
+ * @file
+ * @ingroup mobility
  * Class GeocentricConstantPositionMobilityModel declaration.
  */
 
@@ -21,14 +21,14 @@
 {
 
 /**
- * \brief Mobility model using geocentric euclidean coordinates, as defined in 38.811 chapter 6.3
+ * @brief Mobility model using geocentric euclidean coordinates, as defined in 38.811 chapter 6.3
  */
 class GeocentricConstantPositionMobilityModel : public MobilityModel
 {
   public:
     /**
      * Register this type with the TypeId system.
-     * \return the object TypeId
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     /**
@@ -38,31 +38,31 @@
     ~GeocentricConstantPositionMobilityModel() override = default;
 
     /**
-     * \brief Computes elevation angle between a ground terminal and a HAPS/Satellite.
+     * @brief Computes elevation angle between a ground terminal and a HAPS/Satellite.
      * After calculating the plane perpendicular to a cartesian position vector,
      * the elevation angle is calculated using
      * https://www.w3schools.blog/angle-between-a-line-and-a-plane.
      * The altitude of the position passed as a parameter must be higher than that of the reference
      * point.
-     * \param other pointer to the HAPS/satellite mobility model
-     * \return the elevation angle
+     * @param other pointer to the HAPS/satellite mobility model
+     * @return the elevation angle
      * in degrees
      */
     virtual double GetElevationAngle(Ptr<const GeocentricConstantPositionMobilityModel> other);
 
     /**
-     * \brief Get the position using geographic (geodetic) coordinates
-     * \return Vector containing (latitude (degree), longitude (degree), altitude (meter))
+     * @brief Get the position using geographic (geodetic) coordinates
+     * @return Vector containing (latitude (degree), longitude (degree), altitude (meter))
      */
     virtual Vector GetGeographicPosition() const;
 
     /**
-     * \brief Set the position using geographic coordinates
+     * @brief Set the position using geographic coordinates
      *
      * Sets the position, using geographic coordinates and asserting
      * that the provided parameter falls within the appropriate range.
      *
-     * \param latLonAlt pointer to a Vector containing (latitude (degree), longitude (degree),
+     * @param latLonAlt pointer to a Vector containing (latitude (degree), longitude (degree),
      * altitude (meter)). The values are expected to be in the ranges [-90, 90], [-180, 180], [0,
      * +inf[, respectively. These assumptions are enforced with an assert for the latitude and the
      * altitude, while the longitude is normalized to the expected range.
@@ -70,67 +70,67 @@
     virtual void SetGeographicPosition(const Vector& latLonAlt);
 
     /**
-     * \brief Get the position using Geocentric Cartesian coordinates
-     * \return Vector containing (x, y, z) (meter) coordinates
+     * @brief Get the position using Geocentric Cartesian coordinates
+     * @return Vector containing (x, y, z) (meter) coordinates
      */
     virtual Vector GetGeocentricPosition() const;
 
     /**
-     * \brief Set the position using Geocentric Cartesian coordinates
-     * \param position pointer to a Vector containing (x, y, z) (meter) coordinates
+     * @brief Set the position using Geocentric Cartesian coordinates
+     * @param position pointer to a Vector containing (x, y, z) (meter) coordinates
      */
     virtual void SetGeocentricPosition(const Vector& position);
 
     /**
-     * \brief Set the reference point for coordinate conversion
-     * \param refPoint vector containing the geographic reference point (meter)
+     * @brief Set the reference point for coordinate conversion
+     * @param refPoint vector containing the geographic reference point (meter)
      */
     virtual void SetCoordinateTranslationReferencePoint(const Vector& refPoint);
 
     /**
-     * \brief Get the reference point for coordinate conversion
-     * \return Vector containing geographic reference point (meter)
+     * @brief Get the reference point for coordinate conversion
+     * @return Vector containing geographic reference point (meter)
      */
     virtual Vector GetCoordinateTranslationReferencePoint() const;
 
     /**
-     * \return the current position
+     * @return the current position
      */
     virtual Vector GetPosition() const;
 
     /**
-     * \param position the position to set.
+     * @param position the position to set.
      */
     virtual void SetPosition(const Vector& position);
 
     /**
-     * \param other a reference to another mobility model
-     * \return the distance between the two objects. Unit is meters.
+     * @param other a reference to another mobility model
+     * @return the distance between the two objects. Unit is meters.
      */
     double GetDistanceFrom(Ptr<const GeocentricConstantPositionMobilityModel> other) const;
 
   private:
-    /** \copydoc GetPosition() */
+    /** @copydoc GetPosition() */
     Vector DoGetPosition() const override;
-    /** \copydoc SetPosition() */
+    /** @copydoc SetPosition() */
     void DoSetPosition(const Vector& position) override;
-    /** \copydoc GetVelocity() */
+    /** @copydoc GetVelocity() */
     Vector DoGetVelocity() const override;
-    /** \copydoc GetDistanceFrom() */
+    /** @copydoc GetDistanceFrom() */
     double DoGetDistanceFrom(Ptr<const GeocentricConstantPositionMobilityModel> other) const;
-    /** \copydoc GetGeographicPosition() */
+    /** @copydoc GetGeographicPosition() */
     virtual Vector DoGetGeographicPosition() const;
-    /** \copydoc SetGeographicPosition() */
+    /** @copydoc SetGeographicPosition() */
     virtual void DoSetGeographicPosition(const Vector& latLonAlt);
-    /** \copydoc GetGeocentricPosition() */
+    /** @copydoc GetGeocentricPosition() */
     virtual Vector DoGetGeocentricPosition() const;
-    /** \copydoc SetGeocentricPosition() */
+    /** @copydoc SetGeocentricPosition() */
     virtual void DoSetGeocentricPosition(const Vector& position);
-    /** \copydoc GetElevationAngle() */
+    /** @copydoc GetElevationAngle() */
     virtual double DoGetElevationAngle(Ptr<const GeocentricConstantPositionMobilityModel> other);
-    /** \copydoc SetCoordinateTranslationReferencePoint() */
+    /** @copydoc SetCoordinateTranslationReferencePoint() */
     virtual void DoSetCoordinateTranslationReferencePoint(const Vector& refPoint);
-    /** \copydoc GetCoordinateTranslationReferencePoint() */
+    /** @copydoc GetCoordinateTranslationReferencePoint() */
     virtual Vector DoGetCoordinateTranslationReferencePoint() const;
 
     /**
